Close a dispute
Close a dispute for cases when their dispute is invalid. If the dispute was valid and instructions need to be adjusted then a bitgo admin will need to close it.
Requires access token scopes: settlement_network_read, settlement_network_write
Path Params
-
enterpriseIdstring requiredThe enterprise identifier of the client. This identifies the client enterprise that owns the allocation. -
disputeIdstring requiredThe unique identifier of the dispute to be closed. This is a UUID that uniquely identifies the dispute record.
Body Params
object
-
payloadstring requiredPayload formed by stringifying the object containing all other request properties.
This includes:
- enterpriseId
- disputeId
- notes
- nonce
The payload must be signed using your BitGo account's private key to create the signature parameter.
-
signaturestring requiredDigital signature of the payload parameter.
This signature:
- Must be created using your BitGo account's private key.
- Verifies that the request is authentic and hasn't been tampered with.
- Provides non-repudiation for the allocation request.
-
notesstring requiredNotes for why the dispute is being closed with the original settlement transfers -
noncestring requiredUnique nonce to prevent replay attacks.
This value:
- Must be unique for each request requiring a nonce.
- Should be a cryptographically strong random value.
- Is used as part of the request signing process.
- Helps ensure the signature can only be used once.
Responses
200
OK
Response Body
object
-
disputeClosureobject requireddisputeClosure object
-
idstring required -
createdAtstring or object required -
updatedAtstring or object required -
closedBystring enum requiredclientadmin -
userIdstring required -
notesstring required -
payloadstring -
signaturestring -
statusstring enum requiredpending_reviewapprovedrejected -
reviewedBystring -
reviewNotesstring -
adjustedTransfersmap of strings requiredadjustedTransfers object
-
<key>string
-
-
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
409
Conflict
Response Body
object
-
errorstring required
422
Unprocessable Entity
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required